/*
** graburl.h - part of GrabURL 2.0
** Copyright (C) 1996-97 Serge Emond
**
** This program is free software; you can redistribute it and/or
** modify it under the terms of the GNU General Public License
** as published by the Free Software Foundation; either version 2
** of the License, or (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

#ifndef GRABURL_H
#define GRABURL_H 1

#include <time.h>
#include "uri.h"

#define GU_VERSION "GrabURL/2.0.1"

extern char *gu_version;
extern int current;

struct Grab {
  struct URI *uri;
  struct SURI *suri;
  int sock;
  time_t ltouch;
  time_t start;
  time_t end;
  int size;
  int recd;
  /* Header stuff */
  int retcode;
  char *authpwd;				/* Non-null: we send this password */
  /* Body stuff */
  char *filename;
};

extern struct Grab *grab;

#endif

