/*
** ExtractArgument.c - part of GrabURL 2.0
** Copyright (C) 1996-97 Serge Emond
**
** This program is free software; you can redistribute it and/or
** modify it under the terms of the GNU General Public License
** as published by the Free Software Foundation; either version 2
** of the License, or (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

#include <stdlib.h>
#include <string.h>
#include "libgurl.h"

/* ExtractArgument
**	Extracts the second word in a line.  Removes quotes if any.
*/

char *ExtractArgument(const char *line, int pos)
{
	char *p, *q;
	int i, enquoted;

	p = NextNonBlank(line);
	for (i=0; i<pos; i++) {
	  p = NextNonBlank(NextBlank(p));
	  if (!p) return 0;
	}

	if (p[0]==34) enquoted=34;
	else if (p[0]==39) enquoted=39;
	else enquoted=0;
	if (enquoted!=0) {
	  q = strchr(p+1, enquoted);
	  if (q==0) return(0);
	  q++;
	}
	else {
	  q = NextBlank(p);
	}

	if (!q) p = Dequote(p);
	else {
	  i = (int)q - (int)p;
	  q = gmalloc(i+1);
	  strncpy(q, p, i);
	  q[i]=0;
	  p = Dequote(q);
	  free(q);
	}
	return p;
}
